.custom-tooltip {
    background: #5bc0de !important;
    border: 1px solid #5bc0de !important;
    padding: 8px !important;
    max-width: 320px !important;
    font-size: 1em !important;
    color: #FFFFFF !important;
    text-align: center !important;
    border-radius: 4px !important;
    box-shadow: 0 0 0 0 !important;
    position: fixed !important;
    white-space: pre-wrap;
}

/* 아래 중앙에 오른쪽 직각삼각형 화살표 */
.custom-tooltip:after {
    content: "";
    position: absolute;
    top: -10px;             /* 툴팁 위쪽 */
    left: 20%;             /* 좌측으로 쏠리게 */
    transform: translateX(-50%);
    width: 10px;
    height: 20px;
    background-color: #5bc0de;
    clip-path: polygon(0 0, 100% 50%, 0 100%); /* 오른쪽 직각삼각형 */
    z-index: 10;
}

/* 아래 중앙 말풍선 */
.custom-tooltip-bottom-mid {
    background: #5bc0de !important;
    border: 1px solid #5bc0de !important;
    padding: 8px !important;
    max-width: 320px !important;
    font-size: 1em !important;
    color: #FFFFFF !important;
    text-align: center !important;
    border-radius: 4px !important;
    box-shadow: 0 0 0 0 !important;
    position: fixed !important;
    white-space: pre-wrap;
}

/* 아래 중앙 말풍선 */
.custom-tooltip-bottom-mid:after {
    content: "";
    position: absolute;
    top: -10px;               /* 툴팁 아래쪽 위치 */
    left: 50%;                /* 가로 중앙 */
    transform: translateX(-50%); /* 중앙 맞춤 */
    width: 20px;              /* 삼각형 밑변 */
    height: 10px;             /* 삼각형 높이 */
    background-color: #5bc0de;
    clip-path: polygon(50% 0%, 0% 100%, 100% 100%); /* 이등변 삼각형 */
    z-index: 10;
}

.custom-tooltip-left {
    background: #5bc0de !important;
    border: 1px solid #5bc0de !important;
    padding: 8px !important;
    max-width: 320px !important;
    font-size: 1em !important;
    color: #FFFFFF !important;
    text-align: center !important;
    border-radius: 4px !important;
    box-shadow: 0 0 0 0 !important;
    position: fixed !important;
    white-space: pre-wrap;
}

/* 왼쪽 직각삼각형 화살표 */
.custom-tooltip-left:after {
    content: "";
    position: absolute;
    top: -10px;             /* 툴팁 위쪽 */
    right: 20%;              /* 위치 조정 (필요시 수정) */
    transform: translateX(-50%);
    width: 10px;
    height: 20px;
    background-color: #5bc0de;
    clip-path: polygon(100% 0, 0 50%, 100% 100%); /* ← 왼쪽 직각삼각형 */
    z-index: 10;
}

.custom-tooltip-top {
    background: #5bc0de !important;
    border: 1px solid #5bc0de !important;
    padding: 8px !important;
    max-width: 330px !important;
    font-size: 1em !important;
    color: #FFFFFF !important;
    text-align: center !important;
    border-radius: 4px !important;
    box-shadow: 0 0 0 0 !important;
    position: fixed !important;
    white-space: pre-wrap;
}

/* 왼쪽 직각삼각형 화살표 */
.custom-tooltip-top:after {
    content: "";
    position: absolute;
    bottom: -10px;             /* 툴팁 위쪽 */
    transform: translateX(-50%);
    width: 10px;
    height: 20px;
    background-color: #5bc0de;
    clip-path: polygon(0 0, 100% 50%, 0 100%); /* 오른쪽 직각삼각형 */
    z-index: 10;
}